SDL_GetKeyFromName(3)

NAME
SDL_GetKeyFromName - Get a key code from a human-readable name.

HEADER FILE
Defined in SDL3/SDL_keyboard.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Keycode SDL_GetKeyFromName(const char *name);

FUNCTION PARAMETERS

name
    the human-readable key name

RETURN VALUE
Returns key code, or SDLK_UNKNOWN if the name wasn't recognized; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetKeyFromScancode(3), SDL_GetKeyName(3), SDL_GetScancodeFromName(3)